Page MenuHomePhabricator

ecore-evas-drm: Enable rotation to work again
ClosedPublic

Authored by devilhorns on Mar 6 2019, 9:16 AM.

Details

Summary

This patch removes the ability to do hardware rotation (it's broken
anyway), and refactors the _drm_rotation_do function to just use
software (ecore_evas & evas) rotation.

ref T7690

Depends on D8115

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
devilhorns created this revision.Mar 6 2019, 9:16 AM
devilhorns requested review of this revision.Mar 6 2019, 9:16 AM
devilhorns updated this revision to Diff 20462.Mar 12 2019, 6:21 AM
devilhorns edited the summary of this revision. (Show Details)
devilhorns added a reviewer: cedric.

No Changes

devilhorns updated this revision to Diff 20571.Mar 14 2019, 9:57 AM

no changes

devilhorns updated this revision to Diff 20733.Mar 19 2019, 7:23 AM
devilhorns added a reviewer: zmike.

no changes

This revision was not accepted when it landed; it landed in state Needs Review.Mar 22 2019, 9:42 AM
This revision was automatically updated to reflect the committed changes.